Bug 1308320 - [abrt] kwin: KCrash::defaultCrashHandler(): kwin_x11 killed by SIGSEGV
[abrt] kwin: KCrash::defaultCrashHandler(): kwin_x11 killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kwin (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:32ff70c6b5e8f69ebe1b26b4bcf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-14 03:25 EST by Chris Hubick
Modified: 2016-12-20 13:43 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:43:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (41.85 KB, text/plain)
2016-02-14 03:25 EST, Chris Hubick
no flags Details
File: cgroup (200 bytes, text/plain)
2016-02-14 03:25 EST, Chris Hubick
no flags Details
File: core_backtrace (5.69 KB, text/plain)
2016-02-14 03:25 EST, Chris Hubick
no flags Details
File: dso_list (16.12 KB, text/plain)
2016-02-14 03:25 EST, Chris Hubick
no flags Details
File: environ (1.68 KB, text/plain)
2016-02-14 03:25 EST, Chris Hubick
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-14 03:25 EST, Chris Hubick
no flags Details
File: maps (79.26 KB, text/plain)
2016-02-14 03:25 EST, Chris Hubick
no flags Details
File: mountinfo (3.79 KB, text/plain)
2016-02-14 03:25 EST, Chris Hubick
no flags Details
File: open_fds (184 bytes, text/plain)
2016-02-14 03:25 EST, Chris Hubick
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2016-02-14 03:25 EST, Chris Hubick
no flags Details
File: var_log_messages (314 bytes, text/plain)
2016-02-14 03:25 EST, Chris Hubick
no flags Details

  None (edit)
Description Chris Hubick 2016-02-14 03:25:27 EST
Version-Release number of selected component:
kwin-5.5.4-1.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        kwin_x11
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/kwin_x11
global_pid:     6464
kernel:         4.3.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 KCrash::defaultCrashHandler at ../../src/kcrash.cpp:431
 #3 QXcbScreen::mapFromNative at qxcbscreen.cpp:249
 #4 QXcbWindow::handleEnterNotifyEvent at qxcbwindow.cpp:2329
 #5 QXcbConnection::handleXcbEvent at qxcbconnection.cpp:1084
 #6 QXcbConnection::processXcbEvents at qxcbconnection.cpp:1528
 #7 QObject::event at kernel/qobject.cpp:1239
 #8 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:3716
 #9 QApplication::notify at kernel/qapplication.cpp:3499
 #10 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:965
 #11 QCoreApplication::sendEvent at kernel/qcoreapplication.h:224
Comment 1 Chris Hubick 2016-02-14 03:25:33 EST
Created attachment 1126967 [details]
File: backtrace
Comment 2 Chris Hubick 2016-02-14 03:25:34 EST
Created attachment 1126968 [details]
File: cgroup
Comment 3 Chris Hubick 2016-02-14 03:25:34 EST
Created attachment 1126969 [details]
File: core_backtrace
Comment 4 Chris Hubick 2016-02-14 03:25:35 EST
Created attachment 1126970 [details]
File: dso_list
Comment 5 Chris Hubick 2016-02-14 03:25:37 EST
Created attachment 1126971 [details]
File: environ
Comment 6 Chris Hubick 2016-02-14 03:25:37 EST
Created attachment 1126972 [details]
File: limits
Comment 7 Chris Hubick 2016-02-14 03:25:39 EST
Created attachment 1126973 [details]
File: maps
Comment 8 Chris Hubick 2016-02-14 03:25:39 EST
Created attachment 1126974 [details]
File: mountinfo
Comment 9 Chris Hubick 2016-02-14 03:25:40 EST
Created attachment 1126975 [details]
File: open_fds
Comment 10 Chris Hubick 2016-02-14 03:25:42 EST
Created attachment 1126976 [details]
File: proc_pid_status
Comment 11 Chris Hubick 2016-02-14 03:25:43 EST
Created attachment 1126977 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2016-11-24 10:33:54 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2016-12-20 13:43:26 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.